Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2014-3572

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2014-3572
Last Modified 16 Jul 2015 10:00:33
Published 08 Jan 2015 09:59:02
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2014-3572

Summary

The ssl3_get_key_exchange function in s3_clnt.c in OpenSSL before 0.9.8zd, 1.0.0 before 1.0.0p, and 1.0.1 before 1.0.1k allows remote SSL servers to conduct ECDHE-to-ECDH downgrade attacks and trigger a loss of forward secrecy by omitting the ServerKeyExchange message.

Vulnerable Systems

Application

  • Openssl 0.9.8zc

  • Openssl 1.0.0a

  • Openssl 1.0.0b

  • Openssl 1.0.0c

  • Openssl 1.0.0d

  • Openssl 1.0.0e

  • Openssl 1.0.0f

  • Openssl 1.0.0g

  • Openssl 1.0.0h

  • Openssl 1.0.0i

  • Openssl 1.0.0j

  • Openssl 1.0.0k

  • Openssl 1.0.0l

  • Openssl 1.0.0m

  • Openssl 1.0.0n

  • Openssl 1.0.0o

  • Openssl 1.0.1a

  • Openssl 1.0.1b

  • Openssl 1.0.1c

  • Openssl 1.0.1d

  • Openssl 1.0.1e

  • Openssl 1.0.1f

  • Openssl 1.0.1g

  • Openssl 1.0.1h

  • Openssl 1.0.1i

  • Openssl 1.0.1j


References

CONFIRM - https://www.openssl.org/news/secadv_20150108.txt

CONFIRM - https://github.com/openssl/openssl/commit/b15f8769644b00ef7283521593360b7b2135cb63

BID - 71942

MANDRIVA - MDVSA-2015:019

DEBIAN - DSA-3125

HP - SSRT101885

SUSE - openSUSE-SU-2015:0130

CISCO - 20150310 Multiple Vulnerabilities in OpenSSL (January 2015) Affecting Cisco Products

REDHAT - RHSA-2015:0066

HP - HPSBHF03289

HP - SSRT101987

SUSE - SUSE-SU-2015:0578

MANDRIVA - MDVSA-2015:062

CONFIRM - https://support.apple.com/HT204659

APPLE - APPLE-SA-2015-04-08-2

CONFIRM - http://www.oracle.com/technetwork/topics/security/cpuapr2015-2365600.html

SUSE - SUSE-SU-2015:0946

CONFIRM - http://www.oracle.com/technetwork/topics/security/cpujul2015-2367936.html

Related Patches

Apple 2015-004 Security Update for Mac OS X 10.8.5 (HT204659)

Apple 2015-004 Security Update for Mac OS X 10.9.5 (HT204659)

Apple Yosemite 10.10.3 Update (Combo) for Mac OS X (HT204659)

Apple Yosemite 10.10.3 Update for Mac OS X (HT204659)

VMSA-2015-0004 VMware Fusion 6.0.6 for Mac OS X (See Notes) (Rev 3)

VMSA-2016-0001 VMware Fusion 7.1.2 for Mac OS X (See Notes)


Last Updated: 27 May 2016 11:08:54